Package be.ehealth.business.common.helper

# Class EhealthServiceHelper

java.lang.Object
be.ehealth.business.common.helper.EhealthServiceHelper

public final class EhealthServiceHelper extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T extends ResponseType>
  T`
  `callEhealthService_1_0(SAMLToken token, GenericRequest service, Object request, Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator ehealthReplyValidator)`
  `static <T extends ResponseType>
  T`
  `callEhealthServiceV1(SAMLToken token, GenericRequest service, Object request, Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator ehealthReplyValidator)`
  `static <T extends StatusResponseType>
  T`
  `callEhealthServiceV2(SAMLToken token, GenericRequest service, Object request, Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator ehealthReplyValidator)`
  `static <T> T`
  `getFirst(StatusDetail statusDetail, Class<T> clazz)`
  `static <T> List<T>`
  `toList(StatusDetail statusDetail, Class<T> clazz)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### callEhealthServiceV1

    public static <T extends ResponseType> T callEhealthServiceV1(SAMLToken token, GenericRequest service, Object request, Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator ehealthReplyValidator) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### callEhealthService_1_0

    public static <T extends ResponseType> T callEhealthService_1_0(SAMLToken token, GenericRequest service, Object request, Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator ehealthReplyValidator) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### callEhealthServiceV2

    public static <T extends StatusResponseType> T callEhealthServiceV2(SAMLToken token, GenericRequest service, Object request, Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator ehealthReplyValidator) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### toList

    public static <T> List<T> toList(StatusDetail statusDetail, Class<T> clazz)

  - ### getFirst

    public static <T> T getFirst(StatusDetail statusDetail, Class<T> clazz)